Hilfe durchsuchen

Vorsicht vor Support-Betrug: Wir fordern Sie niemals auf, eine Nummer anzurufen, sie per SMS zu kontaktieren oder persönliche Daten preiszugeben. Bitte melden Sie verdächtige Aktivitäten über die Funktion „Missbrauch melden“.

Learn More

I am running Mac 10.7.5 - which version of Firefox do I need?

  • 1 Antwort
  • 1 hat dieses Problem
  • 69568 Aufrufe
  • Letzte Antwort von James

more options

I have Mac 10.7.5 and I can't get a newer OS and I need to know which version of Firefox I need to download. Their old directory of files is extremely hard to navigate and I don't know which one I need. Please help!

Ausgewählte Lösung

https://support.mozilla.org/en-US/kb/firefox-osx - Firefox support has ended for Mac OS X 10.6, 10.7 and 10.8

Firefox 45.9.0esr will be the most up to date version with security fixes that will run on OS X 10.6, 10.7 and 10.8.

http://archive.mozilla.org/pub/firefox/releases/45.9.0esr/mac/ http://archive.mozilla.org/pub/firefox/releases/45.9.0esr/mac/en-US/

The Firefox 48.0.2 was released August 24, 2016 and is missing several security updates that the Firefox 45.9.0esr released on April 19, 2017 has.

Diese Antwort im Kontext lesen 👍 1

Alle Antworten (1)

more options

Ausgewählte Lösung

https://support.mozilla.org/en-US/kb/firefox-osx - Firefox support has ended for Mac OS X 10.6, 10.7 and 10.8

Firefox 45.9.0esr will be the most up to date version with security fixes that will run on OS X 10.6, 10.7 and 10.8.

http://archive.mozilla.org/pub/firefox/releases/45.9.0esr/mac/ http://archive.mozilla.org/pub/firefox/releases/45.9.0esr/mac/en-US/

The Firefox 48.0.2 was released August 24, 2016 and is missing several security updates that the Firefox 45.9.0esr released on April 19, 2017 has.